# Generated from aws-ssm-env-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aws-ssm-env

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Set parameters acquired from AWS EC2 Parameter Store as environment variables
License: Apache-2.0
URL: https://github.com/sonodar/aws-ssm-env-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) >= 0.48.1
# BuildRequires: rubygem(rubocop) < 0.49
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(simplecov-console)
BuildArch: noarch

%description
Set parameters acquired from AWS EC2 Parameter Store as environment variables.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README_ja.md
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.2-1
- Initial package
